#include <iostream>
#include <cstdio>
#include <ctime>
#include <vector>
#include <cassert>
using namespace std;

int main()
{
    srand(time(NULL));
    freopen("duty.in", "r", stdin);
    freopen("duty.out", "w", stdout);
    if (rand() % 2)
        cout << "Grisha" << endl;
    else
        cout << "Dima" << endl;
    return 0;
} 